<!DOCTYPE html>
<html  xmlns:th="http://www.thymeleaf.org">
<head>
<meta charset="ISO-8859-1">
<title>Insert title here</title>
<link rel="stylesheet"  href="" th:href="@{/css/login.css}">
</head>
<body>
 
   
  
     
      
      
      
     
    <div class="container d-flex justify-content-center
    align-items-center" 
       style="min-height: 100vh">
        <img src="" th:src="@{/images/agrobotics.png}" alt="Logo" class="logo">
    <form th:action ="@{/fsignup}" name="myForm" onsubmit="return validateForm()" method="post">
        
        
        <div class="mb-3" id="name">
            <label class="form-label"> Username:</label >
             <input class="form-control" type="text" name="username"  required><b><span class="formerror"> </span></b>
        </div>
        <div class="mb-3" id="name">
            <label class="form-label"> name:</label >
             <input class="form-control" type="text" name="name"  required><b><span class="formerror"> </span></b>
        </div>
        

        <div class="mb-3" id="email">
            <label class="form-label"> Email:</label >
            <input class="form-control" type="email" name="email" required ><b><span class="formerror"> </span></b>
        </div>
             <div class="mb-3" id="pass">
            <label class="form-label"> Password:</label > 
            <input class="form-control" type="password" name="password" required><b><span class="formerror"></span></b>
        </div>
        <div class="mb-3" id="citizenship">
            <label class="form-label"> Citizenship No:</label>
             <input class="form-control" name="citizenshipnumber" required><b><span class="formerror"></span></b>
        </div>
        
        <div class="mb-3" id="pass">
            <label class="form-label"> Address:</label > 
            <input class="form-control" type="text" name="address" required><b><span class="formerror"></span></b>
        </div>
        <div class="mb-3">
  <label class="form-label">Farmer Type:<br/></label>
  <select class="form-select" name="category" height="60px"  required>
    <option value="">Select Farmer Type</option>
    <option value="Urban Farmer">Urban Farmer </option>
    <option value="Hybrid Farmer">Hybrid Farmer</option>
    <option value="Nursery Farmer">Nursery Farmer</option>
    <!-- Add more options as needed -->
  </select>
  <b><span class="formerror"></span></b>
</div>
        
        
        
         <div class="mb-3" id="pass">
            <label class="form-label"> Pan Number:</label > 
            <input class="form-control" type="text" name="pannumber" ><b><span class="formerror"></span></b>
        </div>

      

       
           <input type="submit" value="Submit">
        
 <a href="/farmer">already have an account</a>
    </form>
    </div>
    <script src="" th:src="@{/js/index.js}"></script>
</body>
      
    


</html>